import axios from '@/utils/axios'

export interface LoginInputDto {
  email: string
  /** @minLength 8 */
  password: string
}

export interface Token {
  accessToken: string
  refreshToken: string
}

export interface TokenRefreshPayload {
  refreshToken: string
}

export async function login(data: LoginInputDto) {
  return axios.post<Token>('/api/auth/login', data)
}

export async function refreshToken(data: TokenRefreshPayload) {
  return axios.post<Token>('/api/auth/token', data)
}
